function check_results(method,n,alpha,component,id)
savefile = ['./Results/8D' method '_n' num2str(n) '_alpha' num2str(alpha)...
    '_component' num2str(component) '_' id 'ID.mat'];
load(savefile);

disp('Model Parameters')
disp(['Method        : ' method])
disp(['Sample Size   : ' num2str(n)])
disp(['Nominal Level : ' num2str(alpha)])
disp(['Component     : ' num2str(component)])
disp(['Type of ID    : ' id])
disp(['# of MC replications = ' num2str(Nmc) '.'])


disp('Results')
coverage_U = sum((theta_U<=that_U).*(theta_U >= that_L))/Nmc;
coverage_L = sum((theta_L<=that_U).*(theta_L >= that_L))/Nmc;
med_ci = [median(that_L) median(that_U)];
ci_length = median((that_U-that_L)-(theta_U-theta_L));
disp(['True Projection = [' num2str(theta_L) ', ' num2str(theta_U) ']'])
disp(['Median CI       = [' num2str(med_ci(1)) ', ' num2str(med_ci(2)) ']'])
disp(['Coverage Probability of CI for theta_U = ' num2str(coverage_U)])
disp(['Coverage Probability of CI for theta_L = ' num2str(coverage_L)])
disp(['Excess Length of CI = ' num2str(ci_length)])
disp(['Time needed to compute cv is ' num2str(c_time) ' seconds.'])
disp(['Time spent for EAM steps are '])
disp(['E-Step: ' num2str(median(e_step_time)) ' seconds'])
disp(['A-Step: ' num2str(median(a_step_time)) ' seconds'])
disp(['M-Step: ' num2str(median(m_step_time)) ' seconds.'])
end